[solved] Installation issue Debian 9


#1
  • Operating system: Debian 9.9 stretch

Expected behavior:

at the last point:

sudo apt-get install zammad

should install everything.

Actual behavior:

  • if i do “apt-get install zammad” i get the error that the package could not be found.

Steps to reproduce the behavior:

  • everytime

Sorry if there is a simple solution, I´m new here…
Thanks for your help :slight_smile:


#2

Please post the output of the following commands:

cat /etc/apt/sources.list.d/zammad.list
sudo apt-get update
apt-cache policy zammad

#3

nano /etc/apt/sources.list.d/zammad.list

#This File was generated by dl.packager.io
deb https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9 main

root@zammad:/home/user# apt-get update
Ign:1 http://ftp.de.debian.org/debian stretch InRelease
Hit:2 http://security.debian.org/debian-security stretch/updates InRelease
Hit:3 http://ftp.de.debian.org/debian stretch-updates InRelease
Hit:4 http://ftp.de.debian.org/debian stretch Release
Ign:5 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9 InRelease
Ign:6 https://artifacts.elastic.co/packages/5.x/apt stable InRelease
Hit:7 https://artifacts.elastic.co/packages/5.x/apt stable Release
Get:9 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9 Release [1,217 B]
Fetched 1,217 B in 0s (1,861 B/s)
Reading package lists… Done

root@zammad:/home/user# apt-cache policy zammad
N: Unable to locate package zammad


#4

OK, that’s very strange. I tried this on my system, and there it works fine:

martin ~ # apt update       
OK:1 http://security.debian.org stretch/updates InRelease                                   
Ign:2 http://ftp.de.debian.org/debian stretch InRelease
OK:3 http://deb.debian.org/debian stretch-proposed-updates InRelease                        
OK:4 http://ftp.de.debian.org/debian stretch-updates InRelease
OK:5 http://ftp.de.debian.org/debian stretch Release                                        
OK:6 https://update.iserv.eu/debian stretch-unstable InRelease
OK:7 https://update.iserv.eu/debian unstable InRelease                                      
Ign:8 http://deb.avast.com/lin/repo debian InRelease
Ign:9 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9 InRelease                
OK:10 http://deb.avast.com/lin/repo debian Release
Holen:11 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9 Release [1.217 B]     
Holen:14 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9 Release.gpg [473 B]
Holen:15 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9/main amd64 Packages [1.911 B]
Es wurden 3.601 B in 1 s geholt (2.652 B/s).
Paketlisten werden gelesen... Fertig                                                        
Abhängigkeitsbaum wird aufgebaut.         
Statusinformationen werden eingelesen.... Fertig                                            
Aktualisierung für 1 Paket verfügbar. Führen Sie »apt list --upgradable« aus, um es anzuzeigen.
martin ~ # apt-cache policy zammad                                            
zammad:                                                         
  Installiert:           (keine)           
  Installationskandidat: 2.9.0-1556788014.16325a31.stretch
  Versionstabelle:                                                   
     2.9.0-1556788014.16325a31.stretch 500
        500 https://dl.packager.io/srv/deb/zammad/zammad/stable/debian 9/main amd64 Packages
[...]

Sometimes APT breaks when it has downloaded damaged lists. Does this help?

find /var/lib/apt/lists -type f -not -name lock -delete
apt-get update

Also ensure that the Zammad lists are located in /var/lib/apt/lists after apt-get update, and not in /var/lib/apt/lists/partial. Files in /var/lib/apt/lists/partial usually indicate a problem. Also check that the contents of the files look correct:

martin /var/lib/apt/lists # head dl.packager.io_srv_deb_zammad_zammad_stable_debian_dists_9_*
==> dl.packager.io_srv_deb_zammad_zammad_stable_debian_dists_9_main_binary-amd64_Packages <==
Package: zammad
Filename: pool/main/zammad_2.9.0-1556788014.16325a31.stretch_amd64.deb
Size: 99130608
MD5sum: 7271394c52eb3aca8e3cc01e5555d186
SHA1: 86a717548a206067b393d232f021c2c386d1efaa
SHA256: 45cf8205a59da0aa87391df5019f8f3f8b2e04d38ce90790a7439fc38319c2b7
Version: 2.9.0-1556788014.16325a31.stretch
License: unknown
Vendor: Packager.io <https://packager.io>
Architecture: amd64

==> dl.packager.io_srv_deb_zammad_zammad_stable_debian_dists_9_Release <==
Codename: 9
Date: Mon, 06 May 2019 06:09:24 +0000
Architectures: amd64
Components: main
MD5Sum:
 9f539a387a410c7163cb4042d213ec1a            10356 main/binary-amd64/Packages
 70d5ee89b801f93d0f75478d4885c124             1911 main/binary-amd64/Packages.gz
 d41d8cd98f00b204e9800998ecf8427e                0 main/binary-i386/Packages
 024f1f9941158dbf2ac8332307610a5b               20 main/binary-i386/Packages.gz
SHA1:

==> dl.packager.io_srv_deb_zammad_zammad_stable_debian_dists_9_Release.gpg <==
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAABCAAGBQJc1XoEAAoJELbVg8y9M+644G0IAKgqZ9ODHSwB2vhM9/iJjzNm
PposAC2aE2BEP8QXmS2alLzds9B4eW+byoyebWgi+UaqU7M6Nz9adDiWp34ViZg3
1EFbbvXwQJn+s2b9ShqrxgynR5FnEe/zvJlZ4BU9xvIo/h0vQtchzsKUACxvDWFO
pdiVJNz3c2a+zGiALw2M+GEV4RmodLa3O3JtD6Q5vWIzgTNp3/RzCoEmw5J5L5uP
PsehQhTXDZ/jweEOC62azC0XqcCfrbOgtIPHnKXpr1ohZRuAgByjH5dOEjw8mNlf
leNrs34K5h15kOJAR9noDim90prn8hOcNDEU5F9R5NRdlWuuc/ZxJ2H1Lu95A6M=
=1Kep

#5

Hi @martin.von.wittich,

that didnt help either.
I tried Debian 9.8. now and it works, updated everything to 9.9 and it still seems to run…
don´t know what the problem was …

btw, now i have some ldap issues, but i will create a new topic for that.

Thanks for helping me :slight_smile: